package com.vaadin.addon.chameleon.presets;

import java.awt.Color;
import java.io.Serializable;

public class Green implements StylePreset, Serializable {

    private static final long serialVersionUID = -2119852466102698360L;

    private Color backgroundColor = Color.decode("0xfcfff6");
    private String fontSize = "13px";
    private Color fontColor = Color.decode("0x31332e");
    private Color baseColor = Color.decode("0xd3d9c9");
    private Color alternateColor = Color.decode("0x60b30e");

    public String getPresetName() {
        return "Green";
    }

    public Color getAlternateColor() {
        return alternateColor;
    }

    public Color getBackgroundColor() {
        return backgroundColor;
    }

    public Color getBaseColor() {
        return baseColor;
    }

    public Color getBaseFontColor() {
        return fontColor;
    }

    public String getBaseFontSize() {
        return fontSize;
    }

}
